"use strict";

var __importDefault = this && this.__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

Object.defineProperty(exports, "__esModule", {
  value: true
});

const fs_extra_1 = __importDefault(require("fs-extra"));

const path_1 = __importDefault(require("path"));

const saveSync = (destinationPath, data, options = {}) => {
  if (!options.overwrite && fs_extra_1.default.existsSync(destinationPath)) {
    throw new Error('File exist and cannot be overwritten. Set the option overwrite to true to overwrite files.');
  }

  fs_extra_1.default.mkdirsSync(path_1.default.dirname(destinationPath));
  fs_extra_1.default.writeFileSync(destinationPath, data);
}; // /saveSync


exports.default = saveSync;
module.exports = exports.default;