"use strict";

var __importDefault = this && this.__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

Object.defineProperty(exports, "__esModule", {
  value: true
}); // process

const typeChooserSync_1 = __importDefault(require("./process/typeChooser/typeChooserSync"));

const typeChooser_1 = __importDefault(require("./process/typeChooser/typeChooser")); // mapping


const generateMapping_1 = __importDefault(require("./mapping/generateMapping"));

const loadMapping_1 = __importDefault(require("./mapping/loadMapping")); // config


const Config_1 = __importDefault(require("./Config"));

exports.default = {
  process: {
    cssSync: typeChooserSync_1.default('css'),
    css: typeChooser_1.default('css'),
    jsSync: typeChooserSync_1.default('js'),
    js: typeChooser_1.default('js'),
    htmlSync: typeChooserSync_1.default('html'),
    html: typeChooser_1.default('html'),
    pugSync: typeChooserSync_1.default('pug'),
    pug: typeChooser_1.default('pug'),
    anySync: typeChooserSync_1.default('any'),
    any: typeChooser_1.default('any'),
    autoSync: typeChooserSync_1.default('auto'),
    auto: typeChooser_1.default('auto')
  },
  mapping: {
    generate: generateMapping_1.default,
    load: loadMapping_1.default
  },
  config: Config_1.default.getInstance()
};
module.exports = exports.default;