"use strict";

var __importDefault = this && this.__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

Object.defineProperty(exports, "__esModule", {
  value: true
});

const universalify_1 = require("universalify");

const rcs_core_1 = __importDefault(require("rcs-core"));

const path_1 = __importDefault(require("path"));

const json_extra_1 = __importDefault(require("json-extra"));

const save_1 = __importDefault(require("../helper/save"));

const generateMapping = async (pathString, opts) => {
  let fileName = 'renaming_map';
  let fileNameExt = '.json';
  let mappingName = 'CSS_NAME_MAPPING';
  const options = Object.assign({
    json: true,
    origValues: true,
    overwrite: false
  }, opts);

  if (!options.origValues) {
    options.origValues = false;
    mappingName = 'CSS_NAME_MAPPING_MIN';
    fileName = `${fileName}_min`;
  }

  if (options.fileName) {
    fileName = options.fileName;
    mappingName = options.fileName;
  }

  const cssMappingArray = rcs_core_1.default.mapping.generate(opts);
  let mapping = json_extra_1.default.stringify(cssMappingArray, null, '\t');
  const newPath = path_1.default.join(pathString, fileName); // no json

  if (!options.json) {
    mapping = `var ${mappingName} = ${mapping};`;
    fileNameExt = '.js';
  }

  await save_1.default(`${newPath}${fileNameExt}`, mapping, {
    overwrite: options.overwrite
  });
}; // /generateMapping


exports.default = universalify_1.fromPromise(generateMapping);
module.exports = exports.default;