"use strict";

var __importDefault = this && this.__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

Object.defineProperty(exports, "__esModule", {
  value: true
});

const rcs_core_1 = __importDefault(require("rcs-core"));

const fs_extra_1 = __importDefault(require("fs-extra"));

async function loadMapping(pathString, opts) {
  let selectors;

  if (typeof pathString === 'string') {
    try {
      selectors = await fs_extra_1.default.readJSON(pathString, {
        encoding: 'utf8'
      });
    } catch (_a) {
      selectors = {};
    }
  } else {
    selectors = pathString;
  }

  rcs_core_1.default.mapping.load(selectors, opts);
}

exports.default = loadMapping;
module.exports = exports.default;