import { ReplaceStringOptions } from 'rcs-core/dest/replace/string';
import { ReplaceHtmlOptions } from 'rcs-core/dest/replace/html';
import { ReplacePugOptions } from 'rcs-core/dest/replace/pug';
import { ReplaceCssOptions } from 'rcs-core/dest/replace/css';
import { ReplaceJsOptions } from 'rcs-core/dest/replace/js';
import { FillLibrariesOptions as RcsFillLibrariesOptions } from 'rcs-core/dest/fillLibraries';
export interface BaseOptions {
    cwd?: string;
    newPath?: string;
    overwrite?: boolean;
}
export interface FillLibrariesOptions extends RcsFillLibrariesOptions {
    optimize?: boolean;
}
export interface AllOptions {
    pug: BaseOptions & ReplacePugOptions;
    any: BaseOptions & ReplaceStringOptions;
    js: BaseOptions & ReplaceJsOptions;
    html: BaseOptions & FillLibrariesOptions & ReplaceHtmlOptions;
    css: BaseOptions & FillLibrariesOptions & ReplaceCssOptions;
    auto: (BaseOptions & FillLibrariesOptions & ReplaceCssOptions & ReplacePugOptions & ReplaceHtmlOptions & ReplaceStringOptions & ReplaceJsOptions);
}
declare const _default: (...args: any[]) => void | Promise<any>;
export default _default;
