"use strict";

var __importDefault = this && this.__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

Object.defineProperty(exports, "__esModule", {
  value: true
});

const rcs_core_1 = __importDefault(require("rcs-core"));

const path_1 = __importDefault(require("path"));

const defaults_1 = __importDefault(require("./defaults"));

function replaceData(type, filePath, fileData, options) {
  let data;

  if (type === 'js' || type === 'auto' && defaults_1.default.fileExt.js.includes(path_1.default.extname(filePath))) {
    data = rcs_core_1.default.replace.js(fileData, Object.assign(Object.assign({}, options.espreeOptions), {
      sourceFile: filePath
    }));
  } else if (type === 'css' || type === 'auto' && defaults_1.default.fileExt.css.includes(path_1.default.extname(filePath))) {
    data = rcs_core_1.default.replace.css(fileData, Object.assign(Object.assign({}, options), {
      sourceFile: filePath
    }));
  } else if (type === 'html' || type === 'auto' && defaults_1.default.fileExt.html.includes(path_1.default.extname(filePath))) {
    data = rcs_core_1.default.replace.html(fileData, Object.assign(Object.assign({}, options), {
      sourceFile: filePath
    }));
  } else if (type === 'pug' || type === 'auto' && defaults_1.default.fileExt.pug.includes(path_1.default.extname(filePath))) {
    data = rcs_core_1.default.replace.pug(fileData, Object.assign(Object.assign({}, options), {
      sourceFile: filePath
    }));
  } else {
    data = rcs_core_1.default.replace.any(fileData, Object.assign(Object.assign({}, options), {
      sourceFile: filePath
    }));
  }

  return data;
}

exports.default = replaceData;
module.exports = exports.default;