import { AllOptions } from '../process';
/**
 * typeChooser will be obsolete as soon as
 * `process.bind(null, 'js')` works with TypeScript method overloads
 * https://www.typescriptlang.org/docs/handbook/release-notes/typescript-3-2.html#caveats
 * "[...] when used on a function with overloads, only the last overload will ever be modeled."
 */
declare function typeChooser(processType: 'pug'): (pathString: string | string[], opts?: AllOptions['pug']) => Promise<void>;
declare function typeChooser(processType: 'any'): (pathString: string | string[], opts?: AllOptions['any']) => Promise<void>;
declare function typeChooser(processType: 'js'): (pathString: string | string[], opts?: AllOptions['js']) => Promise<void>;
declare function typeChooser(processType: 'html'): (pathString: string | string[], opts?: AllOptions['html']) => Promise<void>;
declare function typeChooser(processType: 'css'): (pathString: string | string[], opts?: AllOptions['css']) => Promise<void>;
declare function typeChooser(processType: 'auto'): (pathString: string | string[], opts?: AllOptions['auto']) => Promise<void>;
export default typeChooser;
